com.sun.jna.platform.unix

## Interface Resource

All Known Subinterfaces:
  LibC, LibC, LibCAPI, SystemB

    public interface Resource

Definitions related to `getrlimit`/`setrlimit`

Author:
  Lyor Goldstein

### Nested Class Summary

Nested Classes
`static class` `Resource.Rlimit`

### Field Summary

Fields
`static int` `RLIMIT_AS` Address space limit.
`static int` `RLIMIT_CORE` Largest core file that can be created, in bytes.
`static int` `RLIMIT_CPU` Per-process CPU limit, in seconds.
`static int` `RLIMIT_DATA` Maximum size of data segment, in bytes.
`static int` `RLIMIT_FSIZE` Largest file that can be created, in bytes.
`static int` `RLIMIT_LOCKS` Maximum number of file locks.
`static int` `RLIMIT_MEMLOCK` Locked-in-memory address space.
`static int` `RLIMIT_MSGQUEUE` Maximum bytes in POSIX message queues.
`static int` `RLIMIT_NICE` Maximum nice priority allowed to raise to.
`static int` `RLIMIT_NLIMITS` Number of `rlimit` values
`static int` `RLIMIT_NOFILE` Number of open files.
`static int` `RLIMIT_NPROC` Number of processes.
`static int` `RLIMIT_RSS` Largest resident set size, in bytes.
`static int` `RLIMIT_RTPRIO`
`static int` `RLIMIT_RTTIME` Maximum CPU time in microseconds that a process scheduled under a real-time scheduling policy may consume without making a blocking system call before being forcibly de-scheduled.
`static int` `RLIMIT_SIGPENDING` Maximum number of pending signals.
`static int` `RLIMIT_STACK` Maximum size of stack segment, in bytes.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getrlimit(int resource, Resource.Rlimit rlim)`
`int` `setrlimit(int resource, Resource.Rlimit rlim)`

### Field Detail

#### RLIMIT_CPU

    static final int RLIMIT_CPU

Per-process CPU limit, in seconds.

See Also:
  Constant Field Values

#### RLIMIT_FSIZE

    static final int RLIMIT_FSIZE

Largest file that can be created, in bytes.

See Also:
  Constant Field Values

#### RLIMIT_DATA

    static final int RLIMIT_DATA

Maximum size of data segment, in bytes.

See Also:
  Constant Field Values

#### RLIMIT_STACK

    static final int RLIMIT_STACK

Maximum size of stack segment, in bytes.

See Also:
  Constant Field Values

#### RLIMIT_CORE

    static final int RLIMIT_CORE

Largest core file that can be created, in bytes.

See Also:
  Constant Field Values

#### RLIMIT_RSS

    static final int RLIMIT_RSS

Largest resident set size, in bytes. This affects swapping; processes that are exceeding their resident set size will be more likely to have physical memory taken from them.

See Also:
  Constant Field Values

#### RLIMIT_NOFILE

    static final int RLIMIT_NOFILE

Number of open files.

See Also:
  Constant Field Values

#### RLIMIT_AS

    static final int RLIMIT_AS

Address space limit.

See Also:
  Constant Field Values

#### RLIMIT_NPROC

    static final int RLIMIT_NPROC

Number of processes.

See Also:
  Constant Field Values

#### RLIMIT_MEMLOCK

    static final int RLIMIT_MEMLOCK

Locked-in-memory address space.

See Also:
  Constant Field Values

#### RLIMIT_LOCKS

    static final int RLIMIT_LOCKS

Maximum number of file locks.

See Also:
  Constant Field Values

#### RLIMIT_SIGPENDING

    static final int RLIMIT_SIGPENDING

Maximum number of pending signals.

See Also:
  Constant Field Values

#### RLIMIT_MSGQUEUE

    static final int RLIMIT_MSGQUEUE

Maximum bytes in POSIX message queues.

See Also:
  Constant Field Values

#### RLIMIT_NICE

    static final int RLIMIT_NICE

Maximum nice priority allowed to raise to. Nice levels 19 .. -20 correspond to 0 .. 39 values of this resource limit.

See Also:
  Constant Field Values

#### RLIMIT_RTPRIO

    static final int RLIMIT_RTPRIO

See Also:
  Constant Field Values

#### RLIMIT_RTTIME

    static final int RLIMIT_RTTIME

Maximum CPU time in microseconds that a process scheduled under a real-time scheduling policy may consume without making a blocking system call before being forcibly de-scheduled.

See Also:
  Constant Field Values

#### RLIMIT_NLIMITS

    static final int RLIMIT_NLIMITS

Number of `rlimit` values

See Also:
  Constant Field Values

### Method Detail

#### getrlimit

    int getrlimit(int resource,
                  Resource.Rlimit rlim)

#### setrlimit

    int setrlimit(int resource,
                  Resource.Rlimit rlim)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.